## openldap 1.2.12-1

=== debian/changelog ===
openldap (1:1.2.12-1) stable; urgency=high

  * Upstream bug-fix release for security problems

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 20 Jul 2001 00:38:25 +0200

openldap (1:1.2.11-1) frozen unstable; urgency=low

  * New upstream bug-fix release. Entire changelog:
        CVS Tag: OPENLDAP_REL_ENG_1_2_11
        Fixed /tmp races in ud, ldapsearch, ldbmtest and slurpd
        Fixed error in slurpd's filecheck function
        Fixed slurpd to properly restart in oneshot mode, and to report a
                non-zero number of items to process with only one replica.
        Fixed strdup use in libldap/request.c
        Fixed NULL prefix bug in libldap/ufn.c
        Fixed slapd_shutdown extern reference bug (ITS#527)
        Fixed ACL groups member matching
        Raise MAXDBCACHE to 128 (ITS#512)
        Fixed slapd client_addr crash (ITS#579)
        Fixed back-shell realloc bug (ITS#506)
        Build Environment
                Update res_search detection
                Detect and use getpassphrase() and getpass()
                Unset CDPATH
                Change GNU Pth to enable soft syscalls
                Changed RCPT cmds symbol to avoid link conflict (ITS#526)
                Changed LDBM directory to $localstatedir/openldap-ldbm
  * R.M. - This fixes a lot of security bugs, some of which were simply an
    upstream merge of my changes. I think we need this release because it is
    the official upstream version that applies these fixes.
  * Fixed typo in Netscape-Roaming-HOWTO, closes: #64331
  * Applied ber unaligned fixes for alpha from David Huggins,
    closes: #63185
  * openldapd.config: added extra check for reconfig, closes: #64374
  * Updates debian.{oc,at}.conf (non-functional changes)

 -- Ben Collins <bcollins@debian.org>  Wed, 14 Jun 2000 10:51:24 -0400

openldap (1:1.2.10-3) frozen unstable; urgency=low

  * Fix all /tmp races (bad bad bad) per RHAT advisory

 -- Ben Collins <bcollins@debian.org>  Fri, 21 Apr 2000 20:15:52 -0400

openldap (1:1.2.10-2) frozen unstable; urgency=low

  * libopenldap-runtime: need not depend on debconf at all, closes: #61595

 -- Ben Collins <bcollins@debian.org>  Tue,  4 Apr 2000 13:37:57 -0400

openldap (1:1.2.10-1) frozen unstable; urgency=low

  * New upstream (bug fix) release, complete CHANGES for this release:
    (items marked with '+' are important to Debian version)
        Add slapd -DSLAPD_UNDEFINED_OC_IS_NOT_EXTENSIBLE macro disable
                undefined object classes implies extensible object behavior.
        Add GNU Pth support (ITS#453)
        Fixed -lldap Kerberos bind to work ldap_init() (ITS#426)
     +  Changed -lldap to ignore space in filter: ( !(foo=bar)) (ITS#459)
     +  Fixed multiple password support (ITS#464)
     +  Fixed -lldap chasing of delete referrals (ITS#471)
     +  Fixed back-ldbm/bind invalid credentials vs no such object bug
     +  Fixed slapd str2entry uninitialized variable bug (ITS#482)
     +  Fixed back-ldbm/modify mutlivalued indexing bug
     +  Fixed -llber seqorset buffer overrun bug (ITS#479)
        Build Environment
                Do not list unsupported LDBM API option NDBM
                Allow DEFAULT_DB_PAGE_SIZE to be defined at build time
  * openldapd/config: Fix reuse of password template, closes: #61291
  * resolved in previous upload, closes: #56974
  * Added small patch for netscape address book objectclass, closes: #61318
  * openldapd: now provides slapd and ldap-server (will be needed for
    woody upgrades when openldap2 comes around)

 -- Ben Collins <bcollins@debian.org>  Fri, 31 Mar 2000 12:49:07 -0500

openldap (1:1.2.9-5) frozen unstable; urgency=low

  * debian/openldapd.in: stupid perl, "last" works in while() loops but no
    in do{}while(); loops. Closes a serious bug (that was never filed by the
    finder, but it's serious any way ;) Basically makes openldapd fail the
    configure phase.

 -- Ben Collins <bcollins@debian.org>  Mon, 20 Mar 2000 12:57:21 -0500

openldap (1:1.2.9-4) frozen unstable; urgency=low

  * s/break/last/ in openldap.config: Fixes some serious loops in the
    debconf config. The bugs are already (errantly) closed, so there is no
    reference number. Trust me, it's serious though :)

 -- Ben Collins <bcollins@debian.org>  Tue, 14 Mar 2000 10:12:49 -0500

openldap (1:1.2.9-3) frozen unstable; urgency=low

  * Use killall to kill slurpd instead of start-stop-daemon since it will
    not accept simply the name of the program to kill, closes: #59012
  * Make openldapd depend on sed (>= 3.02-1), closes: #58736, #56199
  * Fix reference to ud(1) in ud.conf(5), closes: #55290
  * Really fix loops in openldapd.config, really closes: #55635
  * Fixed mispellings in netscape_romaing oc file, closes: #58995

 -- Ben Collins <bcollins@debian.org>  Mon, 28 Feb 2000 08:04:04 -0500

openldap (1:1.2.9-2) frozen unstable; urgency=low

  * Added Netscape-Roaming-HOWTO to doc directory for openldapd
  * Compiled with --enable-shell, closes: #45148
  * openldap init.d: don't check for --exec when stopping,
    closes: #58283, #58143
  * Cleaned up host+domain stuff in openldapd.config, closes: #56926
  * Completely rid libopenldap-runtime of debconf support until I can make
    it work a little better.
  * Re-enable debug, and set default loglevel to 0 in slapd.conf

 -- Ben Collins <bcollins@debian.org>  Fri, 18 Feb 2000 15:01:37 -0500

openldap (1:1.2.9-1) frozen unstable; urgency=low

  * New upstream version (this version mainly merges many of my own
    patches, so it is not a major change in the source from 1.2.8)
  * Set severity on password messages in .config to critical, this fixes
    several bugs that should have been filed as RC, but no one did (they
    just emailed me, and I didn't have a chance to file the bug), closes
    something.

 -- Ben Collins <bcollins@debian.org>  Thu, 10 Feb 2000 14:16:28 -0500

openldap (1:1.2.8-7) frozen unstable; urgency=low

  * Disable debugging, closes: #55825

