=== debian/control ===
Source: openldap
Section: net
Priority: extra
Maintainer: Ben Collins <bcollins@debian.org>
Standards-Version: 3.0.1.1

Package: openldapd
Section: net
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, debconf (>= 0.2.50), fileutils (>= 4.0i-1), psmisc, sed (>= 3.02-1)
Suggests: openldap-guide
Conflicts: umich-ldapd
Provides: slapd, ldap-server
Description: OpenLDAP server (slapd).
 This is the OpenLDAP (Lightweight Directory Access Protocol) standalone
 server (slapd). The server can be used to provide a standalone directory
 service and also includes the slurpd replication server and centipede.

Package: openldap-utils
Section: net
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: umich-ldap-utils
Description: OpenLDAP utilities.
 Utilities from the OpenLDAP (Lightweight Directory Access Protocol)
 package. These utilities can access a local or remote LDAP server
 and contain all the client programs required to access LDAP servers.

Package: openldap-gateways
Section: net
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: OpenLDAP Gateways
 These programs provide directory interaction (gateways) with your
 existing servers. They include fax, finger, gopher and mail gateways,
 aswell as some useful utilities.

Package: libopenldap-runtime
Section: libs
Priority: important
Architecture: all
Replaces: libopenldap1
Description: OpenLDAP runtime files for libopenldap
 Contains runtime configuration files and man pages for the OpenLDAP
 libraries.

Package: libopenldap1
Section: libs
Priority: important
Architecture: any
Depends: ${shlibs:Depends}, libopenldap-runtime
Replaces: openldap-utils
Description: OpenLDAP libraries.
 These are the run-time libraries for the OpenLDAP (Lightweight Directory
 Access Protocol) servers and clients.

Package: libopenldap-dev
Section: devel
Priority: extra
Architecture: any
Conflicts: libopenldap1-dev
Replaces: libopenldap1-dev
Provides: libopenldap1-dev
Depends: libopenldap1 (= ${Source-Version})
Description: OpenLDAP development libraries.
 This package allows development of LDAP applications using the OpenLDAP
 libraries. It includes headers, libraries and links to allow static and
 dynamic linking.

Package: ldap-rfc
Section: net
Priority: extra
Architecture: all
Description: LDAP Related RFC's from OpenLDAP package
 This is a complete collection of LDAP related RFC's obtained from the
 OpenLDAP source distribution. They are not OpenLDAP specific and relate
 to the LDAP protocol in general including some LDAPv3 information.
