=== contrib/slapd-modules/comp_match/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $OpenLDAP: pkg/ldap/contrib/slapd-modules/comp_match/Makefile,v 1.11.2.6 2011/01/04 23:49:31 kurt Exp $
+# $OpenLDAP$
 # This work is part of OpenLDAP Software <http://www.openldap.org/>.
 #
 # Copyright 2003-2011 The OpenLDAP Foundation.
