=== contrib/slapd-modules/proxyOld/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $OpenLDAP: pkg/ldap/contrib/slapd-modules/proxyOld/Makefile,v 1.1.2.3 2011/01/04 23:49:35 kurt Exp $
+# $OpenLDAP$
 # This work is part of OpenLDAP Software <http://www.openldap.org/>.
 #
 # Copyright 2005-2011 The OpenLDAP Foundation.
