=== doc/guide/admin/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ## Makefile for OpenLDAP Administrator's Guide
-# $OpenLDAP: pkg/openldap-guide/admin/Makefile,v 1.5.2.13 2011/01/04 23:49:37 kurt Exp $
+# $OpenLDAP$
 ## This work is part of OpenLDAP Software <http://www.openldap.org/>.
 ##
 ## Copyright 2005-2011 The OpenLDAP Foundation.
@@ -63,9 +63,13 @@
 	config_local.png \
 	config_ref.png \
 	config_repl.png \
+	delta-syncrepl.png \
 	dual_dc.png \
 	intro_dctree.png \
 	intro_tree.png \
+	ldap-sync-refreshandpersist.png \
+	ldap-sync-refreshonly.png \
+	n-way-multi-master.png \
 	push-based-complete.png \
 	push-based-standalone.png \
 	refint.png \
