## openldap 2.4.31

=== contrib/slapd-modules/addpartial/Makefile ===
# $OpenLDAP$
OPENLDAP_SRC=../../..
OPENLDAP_BLD=../../..
CPPFLAGS+=-I${OPENLDAP_SRC}/include -I${OPENLDAP_SRC}/servers/slapd -I${OPENLDAP_BLD}/include
CC=gcc

all: addpartial-overlay.so

addpartial-overlay.so: addpartial-overlay.c
	$(CC) -shared $(CPPFLAGS) $(LDFLAGS) -Wall -o $@ $?

clean:
	rm addpartial-overlay.so
