=== contrib/slapd-modules/proxyOld/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # $OpenLDAP$
 # This work is part of OpenLDAP Software <http://www.openldap.org/>.
 #
-# Copyright 2005-2011 The OpenLDAP Foundation.
+# Copyright 2005-2012 The OpenLDAP Foundation.
 # Portions Copyright 2005 Howard Chu, Symas Corp. All Rights Reserved.
 #
 # Redistribution and use in source and binary forms, with or without
